Page MenuHomePhabricator

Make Python 2 scripts more Python 3 compatible
Closed, ResolvedPublic

Description

Some new behaviour is is imported from __future__ already. But there are other functionalities in future_builtins library.

Details

Related Gerrit Patches:

Event Timeline

Xqt created this task.Jul 24 2019, 7:58 AM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptJul 24 2019, 7:58 AM
Xqt triaged this task as Low priority.Jul 24 2019, 7:58 AM

Change 525225 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [PY3] Make Python 2 more Python 3 compatible

https://gerrit.wikimedia.org/r/525225

Xqt claimed this task.Jul 24 2019, 8:15 AM

Change 525225 merged by jenkins-bot:
[pywikibot/core@master] [PY3] Make Python 2 more Python 3 compatible

https://gerrit.wikimedia.org/r/525225

Xqt closed this task as Resolved.Jul 25 2019, 11:04 PM